> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookmyapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a comment

> Delete a comment on your own media.

Deletes a comment permanently. Only works on comments on your own media.

## Authentication

Use the `hmat_` channel token from `GET /meta/channels/{id}/token` or `hookmyapp channels env <channel>`. Do not use an `hmok_` API key for this call.

```bash theme={null}
Authorization: Bearer hmat_...
```

## Path parameters

<ParamField path="commentId" type="string" required>
  The comment to delete.
</ParamField>

## Example

```bash theme={null}
curl -X DELETE "https://gateway.hookmyapp.com/meta/v25.0/{COMMENT_ID}" \
  -H "Authorization: Bearer hmat_..."
```

## Successful response

```json theme={null}
{ "success": true }
```
